<?php
session_start();

define('USER_FILE', 'data/users.txt');
if (!is_dir('data')) mkdir('data');

// ---------------------- AUTH CHECK ----------------------
if (!isset($_SESSION['authenticated'])) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        if ($_POST['username'] === 'admin' && $_POST['password'] === 'admin@123') {
            $_SESSION['authenticated'] = true;
            $_SESSION['user'] = 'admin';
            header("Location: admin.php");
            exit;
        } else {
            $error = "Invalid admin credentials.";
        }
    }

    // --- LOGIN FORM ---
    ?>
    <!DOCTYPE html>
    <html>
    <head>
        <title>Admin Login</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    </head>
    <body class="bg-light">
        <div class="container mt-5" style="max-width: 400px;">
            <div class="card p-4">
                <img src="https://tapvera.com.au/assets/img/logo/black-logo.png" style="max-height: 50px;" class="mb-3 mx-auto d-block">
                <h4 class="text-center mb-4">Admin Login</h4>
                <?php if (!empty($error)) echo "<div class='alert alert-danger'>$error</div>"; ?>
                <form method="POST">
                    <input type="text" name="username" class="form-control mb-3" placeholder="Username" required>
                    <input type="password" name="password" class="form-control mb-3" placeholder="Password" required>
                    <button type="submit" class="btn btn-primary w-100">Login</button>
                </form>
            </div>
        </div>
    </body>
    </html>
    <?php
    exit;
}

// ---------------------- HANDLE EMPLOYEE CREATION ----------------------
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['create_employee'])) {
$lines = file_exists(USER_FILE) ? file(USER_FILE, FILE_IGNORE_NEW_LINES) : [];
$nextID = str_pad(count($lines) + 1, 3, '0', STR_PAD_LEFT);
$empID = "TAPV/$nextID";    $name = $_POST['name'];
    $designation = $_POST['designation'];
    $dob = $_POST['dob'];
    $joining = $_POST['joining_date'];
    $salary = $_POST['salary'];
    $username = $_POST['emp_username'];
    $password = password_hash($_POST['emp_password'], PASSWORD_DEFAULT);
    $punchIn = $_POST['punch_in'];
    $punchOut = $_POST['punch_out'];
    $breakTime = $_POST['break_time'];

    $line = implode('|', [
        $empID, $name, $designation, $dob, $joining, $salary, $username, $password,
        $punchIn, $punchOut, $breakTime
    ]);
    file_put_contents(USER_FILE, $line . PHP_EOL, FILE_APPEND);
    header("Location: admin.php");
    exit;
}




// ---------------------- FETCH EMPLOYEES ----------------------
$employees = file_exists(USER_FILE) ? file(USER_FILE, FILE_IGNORE_NEW_LINES) : [];

?>

<!DOCTYPE html>
<html>
<head>
    <title>Admin Dashboard</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</head>
<body class="container mt-4">
    <div class="d-flex justify-content-between align-items-center mb-4">
        <img src="https://tapvera.com.au/assets/img/logo/black-logo.png" style="height:50px;">
        <h3>Admin Panel</h3>
        <a href="?logout=true" class="btn btn-danger">Logout</a>
    </div>

    <h4 class="mb-3">Employee List</h4>
    <button class="btn btn-success mb-3" data-bs-toggle="modal" data-bs-target="#createEmployeeModal">+ Create Employee</button>

    <table class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>ID</th><th>Name</th><th>Designation</th><th>DOB</th><th>Join Date</th><th>Salary</th><th>Username</th>
                <th>Punch In</th><th>Punch Out</th><th>Break</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($employees as $line): ?>
                <?php
                list($id, $name, $designation, $dob, $join, $salary, $uname, $pwd, $in, $out, $break) = explode('|', $line);
                ?>
                <tr>
                    <td><?= $id ?></td>
                    <td><?= $name ?></td>
                    <td><?= $designation ?></td>
                    <td><?= $dob ?></td>
                    <td><?= $join ?></td>
                    <td><?= $salary ?></td>
                    <td><?= $uname ?></td>
                    <td><?= $in ?></td>
                    <td><?= $out ?></td>
                    <td><?= $break ?></td>
                   
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <!-- Modal -->
<!-- Modal -->
<div class="modal fade" id="createEmployeeModal" tabindex="-1">
  <div class="modal-dialog">
    <form class="modal-content" method="POST">
      <input type="hidden" name="create_employee" value="1">
      <div class="modal-header">
        <h5 class="modal-title">Create New Employee</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
      </div>
      <div class="modal-body">
        <input type="text" name="name" class="form-control mb-2" placeholder="Name" required>
        <input type="text" name="designation" class="form-control mb-2" placeholder="Designation" required>
        <input type="date" name="dob" class="form-control mb-2" placeholder="DOB" required>
        <input type="date" name="joining_date" class="form-control mb-2" placeholder="DOJ" required>
        <input type="number" name="salary" class="form-control mb-2" placeholder="Salary" required>
        <input type="text" name="emp_username" class="form-control mb-2" placeholder="Username" required>
        <input type="password" name="emp_password" class="form-control mb-2" placeholder="Password" required>
        <input type="time" name="punch_in" class="form-control mb-2" placeholder="Punch In Time" required>
        <input type="time" name="punch_out" class="form-control mb-2" placeholder="Punch Out Time" required>
        <input type="time" name="break_time" class="form-control mb-2" placeholder="Break Time" required>
      </div>
      <div class="modal-footer">
        <button class="btn btn-primary" type="submit">Create</button>
        <button class="btn btn-secondary" type="button" data-bs-dismiss="modal">Cancel</button>
      </div>
    </form>
  </div>
</div>


</body>
</html>

<?php
// ---------------------- LOGOUT ----------------------
if (isset($_GET['logout'])) {
    session_destroy();
    header("Location: admin.php");
    exit;
}
?>
